Bug 100742 - Solid color section doesn't keep origin
Summary: Solid color section doesn't keep origin
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Single-Fill-Tab
  Show dependency treegraph
 
Reported: 2016-07-03 20:15 UTC by Heiko Tietze
Modified: 2017-03-26 12:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2016-07-03 20:15:10 UTC
Switching between area style sections (previously called and implemented as tabs) the origin color changes from the initial value to what is set at new. The origin color value should remain as long the dialog is open.
Comment 1 Katarina Behrens (Inactive) 2017-03-22 09:40:08 UTC
I think I fixed this one in https://cgit.freedesktop.org/libreoffice/core/commit/?id=cc2d27ea1ef4018d0865095853e7d661f8070e1f
Comment 2 Katarina Behrens (Inactive) 2017-03-22 09:41:20 UTC
In this version already
Comment 3 Heiko Tietze 2017-03-26 12:35:20 UTC
Thanks a lot, that makes the process more clear. You can now modify the color and if you switch to another tab the values are discarded and when coming back the active color is used. No warning, though, which is consistent with the other sections.
A likely unrelated observation: Starting the area dialog with blank paragraph settings shows black in the active color but values from the current color (or what I had there before).